class astrad001::exim4 {
	package { [exim4, exim4-config]:
		ensure => installed,
	}
		
	service{ exim4:
		ensure => running,
		enable => true,
		require => Package[exim4],
	}

	define exim_params($ensure) {
		replace { "set_exim_param_$name":
			file => "/etc/exim4/update-exim4.conf.conf",
			pattern => "^$name=(?!$ensure).*",
			replacement => "$name=$ensure # set by puppet",
		}
	}

	exim_params {
		"dc_eximconfig_configtype": ensure => "'internet'";
		"dc_other_hostnames":	    ensure => "''";
		"dc_minimaldns":	    ensure => "'true'";
	}
	

	exec{ "echo 'test server $fqdn' | mailx -s testBody yannick.vaucher@switzernet.com":
		refreshonly => true,
		require => [Package[exim4], Package[exim4-config], Service[exim4]]
	}

}
