# classes/munin.pp

class astrad001::munin {
	package{ [munin-node, snmp, snmpd]:
		ensure => installed,
	}

	file{"/etc/snmp/snmpd.conf":
		ensure => file,
		require => [Package['snmp'], Package['snmpd']],
	}

	line{"allow munin":
		line => "allow ^213\.186\.60\.219$",
		file => "/etc/munin/munin-node.conf",
		ensure => present,
		require => Package[munin-node],
	}
	
	line{"comment paranoid":
		line => "com2sec paranoid  default         public",
		file => "/etc/snmp/snmpd.conf",
		ensure => comment,
		require => File["/etc/snmp/snmpd.conf"],
	}

	exec{"Insert com2sec astrad":
		command => "awk '/com2sec paranoid/{print \"com2sec readonly  default         astrad\"}{print}' /etc/snmp/snmpd.conf > /etc/snmp/tmp.txt; mv /etc/snmp/tmp.txt /etc/snmp/snmpd.conf",
		refreshonly	=> true,
		subscribe	=> Package["snmpd"],
	}
	

	file{"/etc/default/snmpd":
		ensure => present,
	}
	$lineSNMPD = "snmpd.pid 127.0.0.1"
	line{"comment SNMPDOPTS":
		line => $lineSNMPD,
		file => "/etc/default/snmpd",
        	ensure => comment,
	        require => File["/etc/default/snmpd"],
 	}

	exec{"Insert line without 127.0.0.1":
        	command => "awk '/$lineSNMPD/{print \"SNMPDOPTS=\x27-Lsd -Lf /dev/null -u snmp -I -smux -p /var/run/snmpd.pid\x27\"}{print}' /etc/default/snmpd > /etc/default/tmp.txt; mv /etc/default/tmp.txt /etc/default/snmpd",
         refreshonly     => true,
         subscribe       => Package["snmpd"],
 }
	
}
